// Package org_accordproject_cicero_dom_0_2_0 contains domain objects and was generated from Concerto namespace org.accordproject.cicero.dom@0.2.0.
package org_accordproject_cicero_dom_0_2_0
import "org_accordproject_cicero_contract_0_2_0";
import "concerto_1_0_0";
   
type Metadata struct {
   concerto_1_0_0.Concept
   Version string `json:"version"`
   Locale string `json:"locale"`
}
type Element struct {
   concerto_1_0_0.Asset
   Id string `json:"id"`
}
type ContractTemplate struct {
   Element
   Metadata Metadata `json:"metadata"`
   Content Section `json:"content"`
}
type ClauseTemplate struct {
   Element
   Metadata Metadata `json:"metadata"`
   Content Section `json:"content"`
}
type Text struct {
   Element
   Content string `json:"content"`
   Locale string `json:"locale"`
}
type Parameter struct {
   Element
   Name string `json:"name"`
   Description string `json:"description"`
   Type string `json:"type"`
   Constraint BooleanExpression `json:"constraint"`
}
type Choice struct {
   Element
   Options []Element `json:"options"`
   Required bool `json:"required"`
}
type Conditional struct {
   Element
   Element Element `json:"element"`
   Predicate BooleanExpression `json:"predicate"`
}
type Clause struct {
   Element
   TemplateUri string `json:"templateUri"`
}
type SigningParty struct {
   concerto_1_0_0.Concept
   Description Text `json:"description"`
   Party *AccordParty `json:"party"`
}
type Signatures struct {
   Element
   Parties []SigningParty `json:"parties"`
}
type Link struct {
   Element
   Reference *Element `json:"reference"`
}
type Section struct {
   Element
   Heading Text `json:"heading"`
   Children []Element `json:"children"`
   PageBreak bool `json:"pageBreak"`
}
type ListStyle int
const (
   ORDERED ListStyle = 1 + iota
   UNORDERED
   SINGLE_LINE
)
type List struct {
   Section
   Style ListStyle `json:"style"`
   Separator string `json:"separator"`
}
type Script struct {
   Element
   Language string `json:"language"`
   Version string `json:"version"`
   Code string `json:"code"`
}
type Declarations struct {
   Script
}
type Expression struct {
   Script
}
type ElementExpression struct {
   Expression
}
type BooleanExpression struct {
   Expression
}
